JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MemoryAudioSource Class Reference
juce_audio_basics » sources

An AudioSource which takes some float audio data as an input. More...

`#include <juce_MemoryAudioSource.h>`

Inheritance diagram for MemoryAudioSource:

## Public Member Functions
| MemoryAudioSource (AudioBuffer< float > &audioBuffer, bool copyMemory, bool shouldLoop=false)
| Creates a MemoryAudioSource by providing an audio buffer.
void | prepareToPlay (int samplesPerBlockExpected, double sampleRate) override
| Implementation of the AudioSource method.
void | releaseResources () override
| Implementation of the AudioSource method.
void | getNextAudioBlock (const AudioSourceChannelInfo &bufferToFill) override
| Implementation of the AudioSource method.
void | setNextReadPosition (int64 newPosition) override
| Implementation of the PositionableAudioSource method.
int64 | getNextReadPosition () const override
| Implementation of the PositionableAudioSource method.
int64 | getTotalLength () const override
| Implementation of the PositionableAudioSource method.
bool | isLooping () const override
| Implementation of the PositionableAudioSource method.
void | setLooping (bool shouldLoop) override
| Implementation of the PositionableAudioSource method.
Public Member Functions inherited from PositionableAudioSource
| ~PositionableAudioSource () override=default
| Destructor.
Public Member Functions inherited from AudioSource
virtual | ~AudioSource ()=default
| Destructor.

## Additional Inherited Members
Protected Member Functions inherited from PositionableAudioSource
| PositionableAudioSource ()=default
| Creates the PositionableAudioSource.
Protected Member Functions inherited from AudioSource
| AudioSource ()=default
| Creates an AudioSource.

## Detailed Description

An AudioSource which takes some float audio data as an input.

## Constructor & Destructor Documentation

## ◆ MemoryAudioSource()

MemoryAudioSource::MemoryAudioSource | ( | AudioBuffer< float > & | audioBuffer,
|  | bool | copyMemory,
|  | bool | shouldLoop = false )

Creates a MemoryAudioSource by providing an audio buffer.

If copyMemory is true then the buffer will be copied into an internal buffer which will be owned by the MemoryAudioSource. If copyMemory is false, then you must ensure that the lifetime of the audio buffer is at least as long as the MemoryAudioSource.

## Member Function Documentation

## ◆ prepareToPlay()

void MemoryAudioSource::prepareToPlay | ( | int | samplesPerBlockExpected,
|  | double | sampleRate )
| override virtual

Implementation of the AudioSource method.

Implements AudioSource.

## ◆ releaseResources()

void MemoryAudioSource::releaseResources | ( |  | ) |
| override virtual

Implementation of the AudioSource method.

Implements AudioSource.

## ◆ getNextAudioBlock()

void MemoryAudioSource::getNextAudioBlock | ( | const AudioSourceChannelInfo & | bufferToFill | ) |
| override virtual

Implementation of the AudioSource method.

Implements AudioSource.

## ◆ setNextReadPosition()

void MemoryAudioSource::setNextReadPosition | ( | int64 | newPosition | ) |
| override virtual

Implementation of the PositionableAudioSource method.

Implements PositionableAudioSource.

## ◆ getNextReadPosition()

int64 MemoryAudioSource::getNextReadPosition | ( |  | ) | const
| override virtual

Implementation of the PositionableAudioSource method.

Implements PositionableAudioSource.

## ◆ getTotalLength()

int64 MemoryAudioSource::getTotalLength | ( |  | ) | const
| override virtual

Implementation of the PositionableAudioSource method.

Implements PositionableAudioSource.

## ◆ isLooping()

bool MemoryAudioSource::isLooping | ( |  | ) | const
| override virtual

Implementation of the PositionableAudioSource method.

Implements PositionableAudioSource.

## ◆ setLooping()

void MemoryAudioSource::setLooping | ( | bool | shouldLoop | ) |
| override virtual

Implementation of the PositionableAudioSource method.

Reimplemented from PositionableAudioSource.

The documentation for this class was generated from the following file:

- juce_MemoryAudioSource.h